Subject: Re: [PATCH v2 4/7] doc/git-log: move "Diff Formatting" from rev-list-options

From: Junio C Hamano <[email-masked]>
Date: Wed, 29 Jul 2020 13:56:59 -0700

Jeff King <[email-masked]> writes:

> Our rev-list-options.txt include has a "Diff Formatting" section, but it
> is ifndef'd out for all manpages except git-log. And a few bits of the
> text are rather out of date.
>
> We say "some of these options are specific to git-rev-list". That's
> obviously silly since we (even before this patch) show the content only
> for git-log. But moreover, it's not true; each of the listed options is
> meaningful for other diff commands.
>
> We also say "...however other diff options may be given. See git-diff-files
> for more options." But there's no need to do so; git-log already has a
> "Common Diff Options" section which includes diff-options.txt.
>
> So let's move these options over to git-log and put them with the other
> diff options, giving a single "diff" section for the git-log
> documentation. We'll call it "Diff Formatting" but use the all-caps
> top-level header to match its sibling sections. And we'll rewrite the
> section intro to remove the useless bits and give a more generic
> overview of the section which can be later extended.

Makes sense.  I first was afraid of regressing "git show"
documentation because the conditional inclusion was

    > -
    > -ifndef::git-shortlog[]
    > -ifndef::git-rev-list[]
    > -Diff Formatting
    > -~~~~~~~~~~~~~~~
    > -

but it seems that Documentation/git-show.txt does not even include
this section being moved in the first place.

We might move these to a new file and include it from both git-log.txt
and git-show.txt but that can be left outside the topioc.